import React, { Component } from 'react';
import { ResolveThunks } from 'react-redux';
import { changeSection } from '../actions';
type DispatchProps = ResolveThunks<typeof actionCreators>;
interface OwnProps {
    readonly section: string;
}
type Props = DispatchProps & OwnProps;
declare class Header extends Component<Props> {
    openLink: (url: string) => () => void;
    render(): React.JSX.Element;
}
declare const actionCreators: {
    changeSection: typeof changeSection;
};
declare const _default: import("react-redux").ConnectedComponent<typeof Header, {
    key?: React.Key | null | undefined;
    readonly section: string;
    ref?: React.LegacyRef<Header> | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
